﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

@font-face {
    font-family: "Amiga";
    src: url('../fonts/amiga/amiga4ever pro.ttf');
}
@font-face {
    font-family: 'Roboto Mono';
    src: url('../fonts/roboto/RobotoMono-VariableFont_wght.ttf') format('truetype'),
         url('../fonts/roboto/RobotoMono-Italic-VariableFont_wght.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('../fonts/montserrat/Montserrat-VariableFont_wght.ttf') format('truetype'), url('../fonts/montserrat/Montserrat-Italic-VariableFont_wght.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@property --angle {
    syntax: '<angle>';
    initial-value: 90deg;
    inherits: true;
}

@property --gradX {
    syntax: '<percentage>';
    initial-value: 50%;
    inherits: true;
}

@property --gradY {
    syntax: '<percentage>';
    initial-value: 0%;
    inherits: true;
}

:root {
    --d: 25000ms;
    --angle: 90deg;
    --gradX: 0%;
    --gradY: 0%;
    --c1: rgba(208, 208, 208, 0.7);
    --c2: rgba(168, 168, 168, 0.7);
    --interactableColor: rgb(239, 34, 37);
}

.AnimatedBorder:hover {
    border: 2px solid;
    margin-left: 2px;
    margin-right: 2px;
    margin-top: -2px;
    margin-bottom: -2px;
    border-image: conic-gradient(from var(--angle), var(--c2), var(--c1) 0.1turn, var(--c1) 0.5turn, var(--c2) 0.5turn) 30;
    animation: borderRotate var(--d) linear infinite forwards;
}
@keyframes borderRotate {
    100% {
        --angle: 420deg;
    }
}

.AnimatedImageBrightness:hover {
    animation: brightenImage .4s;
    animation-fill-mode: forwards;
}

@keyframes brightenImage {
    100% {
        filter: brightness(1.5);
    }
}

.AnimatedBrightness:hover
{
    animation: brighten .4s linear;
}
@keyframes brighten
{
    50% {
        filter: brightness(1.5);
    }
    100% {
        filter: brightness(1);
    }
}

h1,h2,h3,h4,h5,p,ul
{
    margin: 0;
    color: azure;
}

li::marker {
    content: '✝ ';
    font-size: 1.3em;
    font-weight: bold;
}

.row
{
    margin: 0;
}

.ShortRow
{
    margin-left: auto;
    margin-right: auto;
    width: 80vw;
}
.TitleRow
{
    background: linear-gradient(45deg, rgb(0,100,0) 0%, rgb(0,0,0) 100%);
}
.BoxBlue {
    box-shadow: 15px 15px #030303aa;
    background: linear-gradient(45deg, rgb(10,30,60) 0%, rgba(0,0,0,1) 100%);
}
.Box
{
    box-shadow: 15px 15px #030303aa;
    background: linear-gradient(45deg, rgb(10,10,10) 0%, rgba(0,0,0,1) 100%);
}
.BoxRed {
    box-shadow: 15px 15px #030303aa;
    background: linear-gradient(45deg, rgb(100,0,0) 0%, rgba(0,0,0,1) 100%);
}
.BoxPurple {
    box-shadow: 15px 15px #030303aa;
    background: linear-gradient(45deg, rgb(40,0,40) 0%, rgba(0,0,0,1) 100%);
}
.Burn:hover {
    filter: hue-rotate(270deg) saturate(300%);
}
.Burn:active {
    filter: hue-rotate(270deg) saturate(300%);
}
button {
    background-color: var(--interactableColor) !important;
    box-shadow: 8px 8px #030303aa !important;
}
button:hover {
    transform: translateX(4px) translateY(4px);
    box-shadow: none !important;
}
button:active {
    transform: translateX(4px) translateY(4px);
    box-shadow: none !important;
}

input, textarea {
    background-color: black !important;
    color: #00ff00 !important;
    border-color: darkslategrey !important;
}
.e-richtexteditor *:not(pre)
{
    background-color: #0A0A0A !important;
    line-height: 1.2;
}
pre {
    color: #00ff00 !important;
    border-style: solid !important;
    border-width: 1px !important;
    border-color: #111111 !important;
    background-color: #000000 !important;
}
::placeholder {
    color: var(--interactableColor) !important;
}
.ql-editor {
    background-color: black;
}

.ql-syntax {
    background-color: black;
    color: #00ff00;
}

.BorderBlink {
    animation: blinker 1.8s steps(1) infinite;
}

@keyframes blinker {
    50% {
        border-color: #000;
    }
}

body
{
    background: rgb(50,50,50);
    background: linear-gradient(52deg, rgba(50,50,50,1) 0%, rgba(0,0,0,1) 100%);
    background-repeat: no-repeat;
    height: 100%;
    background-attachment: fixed;
    line-height: 3;
}

html, body {
    font-family: 'Montserrat' /* was Consolas */, monospace /* fallback */;
}

::selection {
    background: var(--interactableColor);
}

h1:focus {
    outline: none;
}

a, a:not([href]):not([class]), .btn-link {
    color: var(--interactableColor);
    text-decoration: unset;
}
a:hover
{
    color: #ffff00;
}
a:not([href]):not([class]):hover {
    color: #ffff00;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
